Debian Bug report logs - #708053
ITP: liburi-fromhash-perl -- module to build a URI from a set of named parameters

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Oleg Gashev <oleg@gashev.net>

Date: Sun, 12 May 2013 19:30:01 UTC

Owned by: Oleg Gashev <oleg@gashev.net>

Severity: wishlist

Fixed in version liburi-fromhash-perl/0.3-1

Done: Oleg Gashev <oleg@gashev.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, oleg@gashev.net, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#708053; Package wnpp. (Sun, 12 May 2013 19:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oleg Gashev <oleg@gashev.net>:
New Bug report received and forwarded. Copy sent to oleg@gashev.net, debian-devel@lists.debian.org, wnpp@debian.org. (Sun, 12 May 2013 19:30:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Oleg Gashev <oleg@gashev.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: liburi-fromhash-perl -- module to build a URI from a set of named parameters
Date: Sat, 11 May 2013 14:29:27 +0000
Package: wnpp
Severity: wishlist
Owner: Oleg Gashev <oleg@gashev.net>

* Package name    : liburi-fromhash-perl
  Version         : 0.03
  Upstream Author : Dave Rolsky, <autarch@urth.org>
* URL             : https://metacpan.org/release/URI-FromHash/
* License         : Artistic or GPL-1+
  Programming Lang: Perl
  Description     : module to build a URI from a set of named parameters

 URI::FromHash provides a simple one-subroutine "named parameters" style
 interface for creating URIs. Underneath the hood it uses URI.pm, though
 because of the simplified interface it may not support all possible options
 for all types of URIs.
 .
 It was created for the common case where you simply want to have a simple
 interface for creating syntactically correct URIs from known components (like
 a path and query string). Doing this using the native URI.pm interface is
 rather tedious, requiring a number of method calls, which is particularly
 ugly when done inside a templating system such as Mason or TT2.



Added tag(s) pending. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Fri, 17 May 2013 16:15:18 GMT) Full text and rfc822 format available.

Reply sent to Oleg Gashev <oleg@gashev.net>:
You have taken responsibility. (Sat, 25 May 2013 11:04:35 GMT) Full text and rfc822 format available.

Notification sent to Oleg Gashev <oleg@gashev.net>:
Bug acknowledged by developer. (Sat, 25 May 2013 11:04:35 GMT) Full text and rfc822 format available.

Message #12 received at 708053-close@bugs.debian.org (full text, mbox):

From: Oleg Gashev <oleg@gashev.net>
To: 708053-close@bugs.debian.org
Subject: Bug#708053: fixed in liburi-fromhash-perl 0.3-1
Date: Sat, 25 May 2013 11:00:37 +0000
Source: liburi-fromhash-perl
Source-Version: 0.3-1

We believe that the bug you reported is fixed in the latest version of
liburi-fromhash-perl, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 708053@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Oleg Gashev <oleg@gashev.net> (supplier of updated liburi-fromhash-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 12 May 2013 15:15:23 -0400
Source: liburi-fromhash-perl
Binary: liburi-fromhash-perl
Architecture: source all
Version: 0.3-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Oleg Gashev <oleg@gashev.net>
Description: 
 liburi-fromhash-perl - module to build a URI from a set of named parameters
Closes: 708053
Changes: 
 liburi-fromhash-perl (0.3-1) unstable; urgency=low
 .
   * Initial Release. (Closes: #708053)
Checksums-Sha1: 
 2edbb27b3243f5d833df452034f6a12ab71b9a33 2102 liburi-fromhash-perl_0.3-1.dsc
 aae0fc31be1fbb997c39960096d2bc7500bad777 13080 liburi-fromhash-perl_0.3.orig.tar.gz
 107328afecad1f477313f50b7a6cc74f6408612c 1914 liburi-fromhash-perl_0.3-1.debian.tar.gz
 a7ae481cc4a7330e2ea344a1a622ac24918b17d2 8234 liburi-fromhash-perl_0.3-1_all.deb
Checksums-Sha256: 
 e4933a3ffbe73eb414181080089ccb6c576d735d40d82877aae31431dfe998b8 2102 liburi-fromhash-perl_0.3-1.dsc
 914c80c7d9802899a4df03f1d009fea0fd1f54b0b5d4ce439f3523d76a32f37b 13080 liburi-fromhash-perl_0.3.orig.tar.gz
 78b488a3cd18e74a4cd37d23e89c339a5fd63948f044ea7bbbd50c821052644d 1914 liburi-fromhash-perl_0.3-1.debian.tar.gz
 8314bd84186647ba2e4dfff76787342ef448998b169dfb5d2bbd436131af1658 8234 liburi-fromhash-perl_0.3-1_all.deb
Files: 
 bf282c2c8e45e6d8913c14ab4e2d0564 2102 perl optional liburi-fromhash-perl_0.3-1.dsc
 a670c6ffb385ad2c9241ca139d416549 13080 perl optional liburi-fromhash-perl_0.3.orig.tar.gz
 d166584b8da27f5311ab2ed431a08b6a 1914 perl optional liburi-fromhash-perl_0.3-1.debian.tar.gz
 735ca877ed00c83a80582030e94f49a5 8234 perl optional liburi-fromhash-perl_0.3-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRllceAAoJELs6aAGGSaoGLqQP/i0ey7y8XSYmiWu5eBdPr1zb
BHovn1QtEznsmLF98PZ/VCLw3GnFtN7wIzR1wwkUqdgnORcy23wyCMNnYcmU/7NZ
d8nO5tRietkITpHejFwU3w4jvPq2hq5Q3PZ9ekvdZsfn/p7Y2qWTcugZANe5NN67
eKQ/h/+0TNj2dtSZ2WbXo8iFD5KPA5HnKK5lVs7Npsd1h7+3WJok36DdhfpMWv2J
L6KdjTcMC8JebzKaZTDCAQ8Pg1fX60yIsUpn21lKSoUFDx9s+g+GfwICMxdar9pf
vT3UXXiHJW5Bs1THlhw46VWCMVdA03DXPZQcxmWLbKYPXZnP+vhOr3yIgqB2ATDd
PyNEeGl7P/0avJ+Hc36c/UMVykqpzofiRJPUpKBxp52vz+pMLay/9hQENcUXyZbe
kyfzO03jULbHSMbqaCUF8DwVguTEUfWxPjxuAl2ec7CTlDMz4dCwKNOkvII+iM4q
XwIkpsFpgYjO/9LpA3aiM3+KrUTgtWejnycgiO2aexWUKPe/S2v96ZJEDH7sLqCa
WFIDaPwST4MXPYWBiW/sLOAzhj0JuQvujaDkp3R0DJfFaOBfh0xHrucmXYHMFNmo
MoJv+oyhSGnu7Jj+G4gM+HtQvrIw5RxTM/bvcmLZrt6LcobgmwYsrBzhFBjWe0Vt
L5ECxr0ukx3Ov8rbPbYF
=Mg2W
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 23 Jun 2013 07:33:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:12:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.